# Icon Glossary

Throughout this documentation, you will come across a variety of topics represented by icons.

- ![](application_osx_terminal.png) [Console](@ref console), often seen when the topic of command execution pops up.
- ![](brick.png) Object. Like an instance of an ncEntity.
- ![](bug.png) [Debugging help/options](@ref debugging), or bug related comments.
- ![](color_swatch.png) [Materials](@ref materials)
- ![](compress.png) @ref archives
- ![](computer.png) [AI opponents](@ref ncMonster), including [bots](@ref ncBot).
- ![](controller.png) Controller input, usually handled by [SDL](https://www.libsdl.org)
- ![](film_save.png) Demo recording. A universal replay file.
- ![](images.png) Textures, usually inputs to [Materials](@ref materials)
- ![](keyboard.png) Keyboard input.
- ![](lightbulb.png) [Lighting](@ref mappingtips_lighting). From static lightmaps controlled by the @ref light entity to light_dynamic to point_spotlight.
- ![](map.png) Map, the name given to our levels in which gameplay occurs.
- ![](monitor.png) Display, representing the whole physical size of the game window.
- ![](mouse.png) Mouse, usually seen when referring to actions to be done with a pointing device akin to a mouse, or trackball.
- ![](music.png) Music, all about the subsystem handling looped music and stingers.
- ![](package.png) [Package, managed by the built-in update manager.](@ref updates)
- ![](plugin.png) @ref progs, games are made up of a collection of them.
- ![](server.png) [Dedicated server, game server.](@ref dedicated)
- ![](sitemap_color.png) @ref shaders
- ![](sound.png) [Sound samples, inputs to SoundDef.](@ref sounddefs)
- ![](table.png) [Dictionaries](@ref ncDict) containing key/value pairs. Like @ref decl for @ref entitydef and @ref sounddefs.
- ![](table_edit.png) Editing plain text files.
- ![](clock.png) [Timers](@ref ncTimer), used to schedule events in advance.
- ![](plugin_go.png) [AddonC](@ref addonC) is our server plugin system.
- ![](monitor_go.png) [HudC](@ref hudC) powers our hot-pluggable Heads-Up-Display in our client-game.
- ![](map_go.png) [MapC](@ref mapC) handles maps-specific tasks and logic.
- ![](script_go.png) [RuleC](@ref ruleC) is responsible for global set of game-rules.
